| Home | Libraries | People | FAQ | More

##### string::find_first_of

Find the first occurrence of any of the characters within the string.

###### Synopsis

    std::size_t
    find_first_of(
        string_view sv,
        std::size_t pos = 0) const;

###### Description

Returns the index corrosponding to the first occurrence of any of the characters of `sv` within `{begin() + pos, end())` if it exists, and `npos` otherwise.

###### Complexity

Linear.

###### Return Value

The first occurrence of any of the characters within `sv` within the string starting at the index `pos`, or `npos` if none exists.

###### Parameters

Name | Description
--- | ---
`sv` | The characters to search for.
`pos` | The index to start searching at. The default argument for this parameter is `0`.